Two independent dashboard viewers can live on one page, each bound to its own report object.

In Angular.
@Component({
    imports: [Viewer],
    template: `
        <sti-viewer [report]="report1"></sti-viewer>
        <sti-viewer [report]="report2"></sti-viewer>`
})
export class Example {
    report1: Stimulsoft.Report.StiReport;
    report2: Stimulsoft.Report.StiReport;

    constructor() {
        this.report1 = new Stimulsoft.Report.StiReport();
        this.report1.loadFile("Dashboards/Dashboard.mrt");

        this.report2 = new Stimulsoft.Report.StiReport();
        this.report2.loadFile("Dashboards/Orders.mrt");
    }
}

How it works. The viewer is a self-contained component, so any number can be placed on a page, each with a separate dashboard.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

Two independent dashboard viewers can live on one page, each bound to its own report object.

In React.
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-react/viewer";

function App() {
    var report1 = new Stimulsoft.Report.StiReport();
    report1.loadFile("Dashboards/Dashboard.mrt");

    var report2 = new Stimulsoft.Report.StiReport();
    report2.loadFile("Dashboards/Orders.mrt");

    return (
        <>
            <Viewer report={report1} />
            <Viewer report={report2} />
        </>
    );
}

How it works. The viewer is a self-contained component, so any number can be placed on a page, each with a separate dashboard.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

Two independent dashboard viewers can live on one page, each bound to its own report object.

In Vue.
<script setup lang="ts">
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-vuejs/viewer";

var report1 = new Stimulsoft.Report.StiReport();
report1.loadFile("Dashboards/Dashboard.mrt");

var report2 = new Stimulsoft.Report.StiReport();
report2.loadFile("Dashboards/Orders.mrt");
</script>

<template>
    <Viewer :report="report1" />
    <Viewer :report="report2" />
</template>

How it works. The viewer is a self-contained component, so any number can be placed on a page, each with a separate dashboard.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.